%define api_version	1.0
%define lib_major 0
%define libname	%mklibname %{oname}- %{api_version} %{lib_major}
%define libnamedev %mklibname -d %{oname}- %{api_version}
%define oname gtksourceview

Summary:	Source code viewing library
Name:		gtksourceview1
Version: 1.8.5
Release:	%mkrel 6
License:	GPLv2+
Group:		Editors
URL:		http://people.ecsc.co.uk/~matt/downloads/rpms/gtksourceview/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{oname}-%{version}.tar.bz2
Patch0:		gtksourceview-1.8.5-fix-str-fmt.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildRequires:	libgtk+2-devel >= 2.3.0
BuildRequires:  libgnome-vfs2-devel >= 2.2.0
BuildRequires:  libgnomeprintui-devel >= 2.7.0
BuildRequires:  intltool
Conflicts:		gtksourceview-sharp <= 0.5-3mdk
Obsoletes: gtksourceview < 1.90

%description
GtkSourceview is a library that adds syntax highlighting,
line numbers, and other programming-editor features.
GtkSourceView specializes these features for a code editor.

%package -n %{libname}
Summary:	Source code viewing library
Group:		Editors
Requires:	%{name} >= %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}
Provides: gtksourceview1.0 = %version

%description -n %{libname}
GtkSourceview is a library that adds syntax highlighting,
line numbers, and other programming-editor features.
GtkSourceView specializes these features for a code editor.

%package -n %{libnamedev}
Summary:        Libraries and include files for GtkSourceView
Group:          Development/GNOME and GTK+
Requires:       %{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	lib%{oname}-%{api_version}-devel = %{version}-%{release}
Obsoletes: %mklibname -d %{oname}- %{api_version} %{lib_major}

%description -n %{libnamedev}
GtkSourceView development files 


%prep
%setup -q -n %oname-%version
%patch0 -p0

%build
export CPPFLAGS=-D_GNU_SOURCE=1
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%{find_lang} %{oname}-%{api_version}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files -f %{oname}-%{api_version}.lang
%defattr(-,root,root)
%doc AUTHORS NEWS README TODO
%{_datadir}/gtksourceview-%{api_version}

%files -n %{libname} 
%defattr(-,root,root)
%{_libdir}/libgtksourceview-%{api_version}.so.%{lib_major}*

%files -n %{libnamedev}
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/gtksourceview
%{_libdir}/*.so
%attr(644,root,root) %{_libdir}/*.la
%{_includedir}/*
%{_libdir}/pkgconfig/*




%changelog
* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.8.5-6mdv2010.1
+ Revision: 521142
- rebuilt for 2010.1

* Wed May 20 2009 Funda Wang <fwang@mandriva.org> 1.8.5-5mdv2010.0
+ Revision: 377913
- fix str fmt

* Mon Jul 28 2008 Götz Waschk <waschk@mandriva.org> 1.8.5-5mdv2009.0
+ Revision: 251183
- fix build
- update license
- update build deps

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.8.5-4mdv2008.1
+ Revision: 178743
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 30 2007 Götz Waschk <waschk@mandriva.org> 1.8.5-2mdv2008.0
+ Revision: 75311
- new devel name
- clean up provides and obsoletes

* Thu Jul 12 2007 Götz Waschk <waschk@mandriva.org> 1.8.5-1mdv2008.0
+ Revision: 51521
- rename package to gtksourceview1
- import latest version of gtksourceview 1.x

